For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contact variables

Lists all custom variables of a contact

get

Required Permission: chatbots.contacts.variables.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

contactIdstringRequired

The Id of the contact.

Responses
200

The list of contact variables.

application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/contacts/variables/{contactId}

Deletes all custom variables of a contact

delete

Required Permission: chatbots.contacts.variables.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

contactIdstringRequired

The Id of the contact.

Responses
200

The deletion result.

application/json
deletedbooleanOptional

Indicates whether the deletion operation was successful.

Example: true
errorstringOptional

Optional error message.

delete
/v1/chatbots/{chatbotId}/contacts/variables/{contactId}

Gets a specific custom variable of a contact

get

Required Permission: chatbots.contacts.variables.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

variableIdstringRequired

The Id of the variable.

contactIdstringRequired

The Id of the contact.

Responses
200

The requested variable.

application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/contacts/variables/{contactId}/{variableId}

Sets or updates the value of a custom variable of a contact

put

Required Permission: chatbots.contacts.variables.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

variableIdstringRequired

The Id of the variable whose value is to be set.

Body
valuestringRequired

The new value to be assigned to the variable.

Example: Custom Value
contactIdstringOptional

The id of the contact to assign the variable to.

Example: fdnklxaCACfw92b01v
Responses
200

The updated variable.

application/json
errorstringOptional

Optional error message.

put
/v1/chatbots/{chatbotId}/contacts/variables/{variableId}

Last updated